QuerySNSPluginTextTemplate
QuerySNSPluginTextTemplate
/zstack/v1/zwatch/alarms/sns/text-templates/plugin/zstack/v1/zwatch/alarms/sns/text-templates/plugin/{uuid}Operation ID
QuerySNSPluginTextTemplateSince
5.5.38Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
Query Parameters
qStringQuery conditions.
Responses
200 OKOn success, this API returns the following response structure.
errorErrorCodeRequiredThe error code. If not null, the operation fails, or vice versa. For more information, see error.
codeStringRequiredThe error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.
descriptionStringRequiredThe brief description of the error.
detailsStringRequiredThe details about the error.
elaborationStringRequiredThe reserved field. Default value: null.
opaqueLinkedHashMapRequiredThe reserved field. Default value: null.
causeErrorCodeRequiredThe root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.
totalLongRequiredThe total number of matching resources. Returned when the query request specifies count=true or replyWithCount=true.
inventoriesListRequiredFor more information, see inventories.
pluginDriverUuidStringRequiredThe UUID of the associated plugin driver.
uuidStringRequiredThe resource UUID, which uniquely identifies the resource.
nameStringRequiredThe resource name.
descriptionStringRequiredThe detailed description of the resource.
applicationPlatformTypeStringRequiredThe notification platform type. For plugin SMS templates, the value is fixed to Plugin.
subjectStringRequiredThe message subject.
recoverySubjectStringRequiredThe recovery message subject.
templateStringRequiredThe alarm or event message content.
recoveryTemplateStringRequiredThe recovery message content.
defaultTemplateBooleanRequiredThe value indicating whether this is the default template for the current plugin and alarm type.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
typeStringRequiredThe template alarm type.
driverPluginDriverInventoryRequiredFor more information, see driver.
uuidStringRequiredThe plugin driver UUID.
nameStringRequiredThe resource name.
typeStringRequiredThe resource type.
vendorStringRequiredThe plugin vendor.
featuresStringRequiredThe plugin features.
deletedbooleanRequiredWhether the plugin has been soft deleted.
licenseStringRequiredThe plugin license.
versionStringRequiredThe plugin version.
descriptionStringRequiredThe detailed description of the resource.
createDateTimestampRequiredThe creation date.
lastOpDateTimestampRequiredThe last operation date.
optionTypesCollectionRequiredFor more information, see optionTypes.
uuidStringRequiredThe configuration field UUID.
nameStringRequiredThe configuration field name.
codeStringRequiredThe unique code of the configuration field.
categoryStringRequiredThe configuration field category.
requiredBooleanRequiredWhether the field is required.
editableBooleanRequiredWhether the field can be edited.
enabledBooleanRequiredWhether the field is enabled.
displayOrderIntegerRequiredThe display order of the field.
placeHolderTextStringRequiredThe input placeholder.
defaultValueStringRequiredThe default value of the field.
noSelectionStringRequiredThe value used when no option is selected.
noBlankBooleanRequiredWhether blank values are prohibited.
secretFieldBooleanRequiredWhether the field is sensitive.
minValLongRequiredThe minimum allowed value.
maxValLongRequiredThe maximum allowed value.
minLengthLongRequiredThe minimum allowed input length.
maxLengthLongRequiredThe maximum allowed input length.
fieldContextStringRequiredThe configuration context to which the field belongs.
fieldClassStringRequiredThe field display style class.
fieldLabelStringRequiredThe field display name.
fieldCodeStringRequiredThe field internationalization code.
fieldNameStringRequiredThe key name used to save the field.
fieldGetNameStringRequiredThe key name used to read the field value.
fieldSetNameStringRequiredThe key name used to save the field value.
fieldGetContextStringRequiredThe configuration context used to read the field value.
fieldSetContextStringRequiredThe configuration context used to save the field value.
fieldGroupStringRequiredThe display group to which the field belongs.
fieldGroupI18nCodeStringRequiredThe internationalization code of the field group.
helpTextStringRequiredThe field help information.
helpTextI18nCodeStringRequiredThe internationalization code of the field help information.
optionSourceTypeStringRequiredThe data source type of the dynamic options.
optionSourceStringRequiredThe data source of the dynamic options.
dependsOnStringRequiredThe other fields on which the current field depends.
showOnEditBooleanRequiredWhether the field is displayed during editing.
displayValueOnDetailsBooleanRequiredWhether the field value is displayed on the details page.
showOnCreateBooleanRequiredWhether the field is displayed during creation.
verifyPatternStringRequiredThe regular expression used to validate the field value.
inputTypeInputTypeRequiredFor more information, see inputType.
textInputTypeRequiredA single-line text input.
passwordInputTypeRequiredA password input.
numberInputTypeRequiredA numeric input.
textareaInputTypeRequiredA multiline text input.
selectInputTypeRequiredA single-select drop-down list.
multiSelectInputTypeRequiredA multi-select drop-down list.
checkboxInputTypeRequiredA checkbox.
radioInputTypeRequiredA radio button.
credentialInputTypeRequiredA credential selector.
typeaheadInputTypeRequiredA searchable single-select input.
multiTypeaheadInputTypeRequiredA searchable multi-select input.
code-editorInputTypeRequiredA code editor.
hiddenInputTypeRequiredA hidden field.
